'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactNotificationSystem = require('react-notification-system');

var _reactNotificationSystem2 = _interopRequireDefault(_reactNotificationSystem);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var notificationDefaults = {
  position: 'tr',
  autoDismiss: 5,
  dismissible: 'both',
  level: 'info'

  // eslint-disable-next-line
};
_reactNotificationSystem2.default.prototype.showNotification = function (notification) {
  this.uid += 1;

  var preparedNotification = Object.assign({}, notificationDefaults, notification);
  preparedNotification.position = preparedNotification.position.toLowerCase();
  preparedNotification.dismissible = preparedNotification.dismissible.toLowerCase();
  preparedNotification.level = preparedNotification.level.toLowerCase();
  preparedNotification.uid = preparedNotification.uid || this.uid;
  preparedNotification.id = preparedNotification.id || this.uid;
  preparedNotification.ref = 'notification-' + preparedNotification.uid;

  // update notification if already created
  var foundNotification = notification.id ? this.state.notifications.find(function (val) {
    return val.id === notification.id;
  }) : null;

  if (foundNotification) {
    Object.assign(foundNotification, preparedNotification);
  } else {
    this.state.notifications.push(preparedNotification);
    if (typeof notification.onAdd === 'function') {
      preparedNotification.onAdd(preparedNotification);
    }
  }

  this.setState({
    notifications: this.state.notifications
  });
};

// eslint-disable-next-line
_reactNotificationSystem2.default.prototype.removeNotificationById = function (id) {
  this.uid += 1;

  var foundNotification = this.state.notifications.find(function (val) {
    return val.id === id;
  });
  if (foundNotification) {
    this.removeNotification(foundNotification);
    return true;
  }
  return false;
};

exports.default = _reactNotificationSystem2.default;